n=20 -- number of wires per slot

function SetCurrent(i)

	local iar,iai,ibr,ibi,icr,ici

	-- i is phase current amplitude

	-- real and imaginary part of current in each phase:		
	iar=n*i
	iai=0
	ibr=-n*i/2
	ibi=sqrt(3)/2*n*i
	icr=-n*i/2
	ici=-sqrt(3)/2*n*i

	-- assign currents to each slot
	--real part of the currents
	modifycircprop("slot 01 A+",1,iar)
	modifycircprop("slot 02 A+",1,iar)
	modifycircprop("slot 03 A+",1,iar)
	modifycircprop("slot 04 A+",1,iar)
	modifycircprop("slot 05 A+",1,iar)
	modifycircprop("slot 06 A+",1,iar)
	modifycircprop("slot 07 C-",1,-icr)
	modifycircprop("slot 08 C-",1,-icr)
	modifycircprop("slot 09 C-",1,-icr)
	modifycircprop("slot 10 C-",1,-icr)
	modifycircprop("slot 11 C-",1,-icr)
	modifycircprop("slot 12 C-",1,-icr)
	modifycircprop("slot 13 B+",1,ibr)
	modifycircprop("slot 14 B+",1,ibr)
	modifycircprop("slot 15 B+",1,ibr)
	modifycircprop("slot 16 B+",1,ibr)
	modifycircprop("slot 17 B+",1,ibr)
	modifycircprop("slot 18 B+",1,ibr)
	modifycircprop("slot 19 A-",1,-iar)
	modifycircprop("slot 20 A-",1,-iar)
	modifycircprop("slot 21 A-",1,-iar)
	modifycircprop("slot 22 A-",1,-iar)
	modifycircprop("slot 23 A-",1,-iar)
	modifycircprop("slot 24 A-",1,-iar)
	modifycircprop("slot 25 C+",1,icr)
	modifycircprop("slot 26 C+",1,icr)
	modifycircprop("slot 27 C+",1,icr)
	modifycircprop("slot 28 C+",1,icr)
	modifycircprop("slot 29 C+",1,icr)
	modifycircprop("slot 30 C+",1,icr)
	modifycircprop("slot 31 B-",1,-ibr)
	modifycircprop("slot 32 B-",1,-ibr)
	modifycircprop("slot 33 B-",1,-ibr)
	modifycircprop("slot 34 B-",1,-ibr)
	modifycircprop("slot 35 B-",1,-ibr)
	modifycircprop("slot 36 B-",1,-ibr)

	--imaginary part of the currents
	modifycircprop("slot 01 A+",2,iai)
	modifycircprop("slot 02 A+",2,iai)
	modifycircprop("slot 03 A+",2,iai)
	modifycircprop("slot 04 A+",2,iai)
	modifycircprop("slot 05 A+",2,iai)
	modifycircprop("slot 06 A+",2,iai)
	modifycircprop("slot 07 C-",2,-ici)
	modifycircprop("slot 08 C-",2,-ici)
	modifycircprop("slot 09 C-",2,-ici)
	modifycircprop("slot 10 C-",2,-ici)
	modifycircprop("slot 11 C-",2,-ici)
	modifycircprop("slot 12 C-",2,-ici)
	modifycircprop("slot 13 B+",2,ibi)
	modifycircprop("slot 14 B+",2,ibi)
	modifycircprop("slot 15 B+",2,ibi)
	modifycircprop("slot 16 B+",2,ibi)
	modifycircprop("slot 17 B+",2,ibi)
	modifycircprop("slot 18 B+",2,ibi)
	modifycircprop("slot 19 A-",2,-iai)
	modifycircprop("slot 20 A-",2,-iai)
	modifycircprop("slot 21 A-",2,-iai)
	modifycircprop("slot 22 A-",2,-iai)
	modifycircprop("slot 23 A-",2,-iai)
	modifycircprop("slot 24 A-",2,-iai)
	modifycircprop("slot 25 C+",2,ici)
	modifycircprop("slot 26 C+",2,ici)
	modifycircprop("slot 27 C+",2,ici)
	modifycircprop("slot 28 C+",2,ici)
	modifycircprop("slot 29 C+",2,ici)
	modifycircprop("slot 30 C+",2,ici)
	modifycircprop("slot 31 B-",2,-ibi)
	modifycircprop("slot 32 B-",2,-ibi)
	modifycircprop("slot 33 B-",2,-ibi)
	modifycircprop("slot 34 B-",2,-ibi)
	modifycircprop("slot 35 B-",2,-ibi)
	modifycircprop("slot 36 B-",2,-ibi)
end
